Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.assemblerbroker.util.java
Class JavaScheduledJobFactory

    java.lang.Object
      org.apache.turbine.services.assemblerbroker.util.java.JavaBaseFactory<ScheduledJob>
          org.apache.turbine.services.assemblerbroker.util.java.JavaScheduledJobFactory

All Implemented Interfaces:
  Loader<ScheduledJob>, AssemblerFactory<ScheduledJob>

    public class JavaScheduledJobFactory

extends JavaBaseFactory<ScheduledJob>

A screen factory that attempts to load a java class from the module packages defined in the TurbineResource.properties.

Version:
  $Id: JavaScheduledJobFactory.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Leon Messerschmidt, Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.turbine.services.assemblerbroker.util.java.JavaBaseFactory
`log`

Constructor Summary
`JavaScheduledJobFactory()`

Method Summary
`ScheduledJob` | `getAssembler(String name)` Get an Assembler.
`Loader<ScheduledJob>` | `getLoader()` Get the loader for this type of assembler

Methods inherited from class org.apache.turbine.services.assemblerbroker.util.java.JavaBaseFactory
`getAssembler, getCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScheduledJobFactory

    public JavaScheduledJobFactory()

Method Detail

### getAssembler

    public ScheduledJob getAssembler(String name)

  Get an Assembler.

  Parameters:
    `name` - name of the requested Assembler
  Returns:
    an Assembler

### getLoader

    public Loader<ScheduledJob> getLoader()

  Get the loader for this type of assembler

  Specified by:
    `getLoader` in interface `AssemblerFactory<ScheduledJob>`
  Specified by:
    `getLoader` in class `JavaBaseFactory<ScheduledJob>`
  Returns:
    a Loader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.